# List disciplines

Retrieves a paginated list of all accessible disciplines.

Endpoint: GET /disciplines
Version: v1
Security: AuthToken

## Query parameters:

  - `filter` (string)
    Respects standard filtering parameters (check documentation for supported fields).

  - `per_page` (integer)
    Parameters for pagination.

  - `page` (integer)
    Parameters for pagination.

## Response 200 fields (application/json):

  - `paging` (object)

  - `paging.per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `paging.page` (integer)
    The current response page number.
    Example: 1

  - `paging.previous` (string,null)
    If you're on the first page, this value is null; otherwise the value is the path and query parameters to get the previous page of items.
    Example: "/api/v1/users?per_page=1000&page=1"

  - `paging.self` (string)
    The path and query parameters to get the current page of items.
    Example: "/api/v1/users?per_page=1000&page=2"

  - `paging.next` (string,null)
    If there are more items, this value is the path and query parameters to get the next page of items; otherwise, it's null.
    Example: "/api/v1/users?per_page=1000&page=3"

  - `paging.count` (integer,null)
    The total number of items in all the pages.

  - `data` (array)

  - `data.discipline_id` (integer)
    Unique identifier for the discipline.
    Example: 1

  - `data.value` (string, required)
    The name of the discipline.
    Example: "Developer"

## Response 404 fields (application/json):

  - `message` (string)
    Example: "not found"


